This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 763299 - (GLUSTER-1567) [rdma] data corruption due to read-ahead
[rdma] data corruption due to read-ahead
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: rdma (Show other bugs)
mainline
All Linux
low Severity high
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-08 03:32 EDT by Anush Shetty
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2010-09-08 03:32:19 EDT
This happens only on rdma transport. There is md5sum mismatch

[root@client14 ~]# /opt/anush/gitmainline/sbin/glusterfs -s 10.1.10.34 -l /tmp/c_sep8_proto.log -L DEBUG --volfile-id=sep8_proto --volume-name=sep8_proto-read-ahead /mnt/gfs1/
[root@client14 ~]# cp /tmp/linux-2.6.36-rc3.tar.bz2 /mnt/gfs1/                                                                                               cp: overwrite `/mnt/gfs1/linux-2.6.36-rc3.tar.bz2'? y
[root@client14 ~]# md5sum /tmp/linux-2.6.36-rc3.tar.bz2 /mnt/gfs1/linux-2.6.36-rc3.tar.bz2
511f5ce53f8821353abf249d70b9981b  /tmp/linux-2.6.36-rc3.tar.bz2
d0af114998aaf36f957466f7ebc90b88  /mnt/gfs1/linux-2.6.36-rc3.tar.bz2
Comment 1 Vijay Bellur 2010-09-08 07:02:13 EDT
PATCH: http://patches.gluster.com/patch/4677 in master (rpc-transport/rdma: while notifying a reply, pickup the correct iobref from request context.)

Note You need to log in before you can comment on or make changes to this bug.